namespace PLCIOPointTool.Services
{
    public enum LogType
    {
        Info,
        Warning, 
        Error
    }

    public class LogEventArgs(DateTime dateTime,LogType logType, string message) : EventArgs
    {
        public DateTime LogTime => dateTime;
        public LogType LogType => logType;
        public string Message => message;
    }

    public interface ILogService
    {
        void Info(string message);
        void Warning(string message);
        void Error(string message);

        event EventHandler<LogEventArgs>? MessageReceived;
    }
}